Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Loading…

IE6, IE7 maybe IE8 #7

Closed
dominicglenn opened this Issue · 1 comment

2 participants

@dominicglenn

This plugin does not work on those versions of IE.

The first issue is that they do not support addEventListener, and require attachEvent to be used instead; after I modified my local copy to account for this I still go errors about this.async on line 37.

This needs looking at for compatibility with those versions of IE.

@d0ugal
Owner

Thanks for the report.

Can you send a pull request with your modifications to handle addEventListener? I don't have a machine with IE8 or IE7 anymore, but if you can provide a fix and test them I'm more than happy to accept them.

There is a fairly comprehensive test suite, so you can send the browser to http://locachejs.org/tests/index.html to run them.

@d0ugal d0ugal closed this in 6ed17d7
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Something went wrong with that request. Please try again.